Subject: Re: (TC304.188) Decimal delimiter: presentation params should not force input

From: [email-masked] (Keld J|rn Simonsen)
Date: Fri, 17 Jun 1994 07:35:05 +0200

[email-masked] writes:

> Subject  : Problem of the decimal delimiter function on input: i18n issue

Another way of solving this would be to allow a culturally defined
decimal delimiter for the locale. This could be different from the
presentation decimal delimiter. There might also be more than
one decimal delimiter, so for example both numbers using comma
and period could be read correctly. This would mean that the thousands
delimiter would not be used, but that is impractical anyway - at least
using space as the thousands delimitor is impractical.

Another thing is that inputting formats are very scarcely addressed
in i18n specs like POSIX, there is no input format for numbers or dates
for example.

keld